# W3C

### Supported Platforms

| Platform | Metrics | Logs | Traces |
| -------- | ------- | ---- | ------ |
| Linux    |         | ✓    |        |
| Windows  |         | ✓    |        |
| macOS    |         | ✓    |        |

### Configuration Table

<table><thead><tr><th>Parameter</th><th width="110.34375">Type</th><th width="108.6953125">Default</th><th>Description</th></tr></thead><tbody><tr><td>file_path</td><td><code>strings</code></td><td></td><td>File or directory paths to tail for logs.</td></tr><tr><td>exclude_file_log_path</td><td><code>strings</code></td><td></td><td>File or directory paths to exclude.</td></tr><tr><td>delimiter</td><td><code>enum</code></td><td>tab</td><td>Delimiter character used between the fields of the W3C log line. Valid values include: <code>tab</code>, <code>space</code>.</td></tr><tr><td>encoding</td><td><code>enum</code></td><td>utf-8</td><td>The encoding of the file being read. Valid values include: <code>nop</code>, <code>utf-8</code>, <code>utf-16le</code>, <code>utf-16be</code>, <code>ascii</code>, <code>big5</code>.</td></tr><tr><td>header_delimiter</td><td><code>enum</code></td><td>default</td><td>Delimiter character used between fields in the W3C Field header. The value of the "Delimiter" parameter is used by default. Valid values include: <code>tab</code>, <code>space</code>, <code>default</code>.</td></tr><tr><td>include_file_name_attribute</td><td><code>bool</code></td><td>true</td><td>Whether to add the file name as the attribute "log.file.name".</td></tr><tr><td>include_file_path_attribute</td><td><code>bool</code></td><td>false</td><td>Whether to add the file path as the attribute "log.file.path".</td></tr><tr><td>include_file_name_resolved_attribute</td><td><code>bool</code></td><td>false</td><td>Whether to add the file name after symlinks resolution as the attribute "log.file.name_resolved".</td></tr><tr><td>include_file_path_resolved_attribute</td><td><code>bool</code></td><td>false</td><td>Whether to add the file path after symlinks resolution as the attribute "log.file.path_resolved".</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/sources/w3c.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
